Skip to content

List Payment Intents

GET
/v2/send/payment-intents

List payment intents with pagination and optional status filtering

page[number]
number
default: 1

Page number (starts at 1)

Example
1
page[size]
number
default: 10

Items per page

Example
10
status
string
Allowed values: pending networkinprogress networkfailed networkcompleted payoutinprogress payoutfailed payoutcompleted completed failed refunded

Filter by payment intent status

userId
string format: uuid

Filter by external user ID

Example
82c4fce1-d2c7-48cb-a647-6993dbe37819

Paginated list of payment intents

object
items
required

List of payment intents

Array<object>
object
id
required

Payment Intent ID

string format: uuid
82c4fce1-d2c7-48cb-a647-6993dbe37819
quoteId
required

Quote ID

string format: uuid
82c4fce1-d2c7-48cb-a647-6993dbe37819
organisationId
required

Organisation ID

string format: uuid
82c4fce1-d2c7-48cb-a647-6993dbe37819
userId
required

User ID

string format: uuid
82c4fce1-d2c7-48cb-a647-6993dbe37819
pin
required

The pin for the payment intent

string
status
required

Payment Intent Status

string
Allowed values: pending networkinprogress networkfailed networkcompleted payoutinprogress payoutfailed payoutcompleted completed failed refunded
pending
walletAddress
required

Wallet address

string
recipientId
required

Recipient ID

string format: uuid
typedData

Typed data

string
transactionHash

Transaction hash

string
0x1234567890abcdef...
completedAt

Execution timestamp

string format: date-time
2023-12-01T10:00:00Z
createdAt

Creation timestamp

string format: date-time
2023-12-01T10:00:00Z
txData

Transaction data for depositWithAuthAndPermit with placeholder permit signature

object
permitParams

Permit parameters for frontend to sign

object
page
required

Pagination info

object
number
required

Page number (starts at 1)

number
1
size
required

Items per page

number
10
totalPages
required

Total number of items

number
100
totalCount
required

Total number of pages

number
10
hasNext
required

Whether there is a next page

boolean
true
hasPrev
required

Whether there is a previous page

boolean

Bad Request

Unauthorized

Forbidden

Not Found

Internal Server Error